//FILE: Globals.java

/* GEMpire (Generic Empire for the Masses), a java package to support internet oriented 
 * empire-like strategy games and associated utilities.
 * Copyright (C) 1998 Christopher L. Marshall
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * My current email is christopherlmarshall@yahoo.com.  My home address is:
 * 10006 Leamoore Lane,
 * Vienna VA, 22181
 * 
 * It is my hope that this modest effort might assist others in producing Java
 * programs to implement a varied host of empire-like games.
 */

package GEMpire;

import java.io.*;

public class Globals{
   static PrintWriter out= new PrintWriter(new OutputStreamWriter(System.out));

   public static void packageStaticInit(boolean graphicsEnabled){
      MapHex.loadImages(graphicsEnabled);
      Piece.loadPieceDatabase(graphicsEnabled);
   }
   public static void exit(String msg){
      System.out.println(msg);
      System.exit(1);
   }
   public static void reportError(String msg){
      System.out.println("Error: "+msg);
   }
   public static void debugPrintln(String msg){
      out.println(msg); out.flush();
   }

   private static int combatDebugSetting= 0;
   public static void setAttackerAlwaysWins(){combatDebugSetting= 1;}
   public static void setDefenderAlwaysWins(){combatDebugSetting= 2;}
   public static void setCombatFair(){combatDebugSetting= 0;}
   public static boolean attackerAlwaysWins(){return (combatDebugSetting==1);}
   public static boolean defenderAlwaysWins(){return (combatDebugSetting==2);}
}
