//FILE: MapKeyAdapter.java

/* GEMpire (Generic Empire for the Masses), a java package to support internet oriented 
 * empire-like strategy games and associated utilities.
 * Copyright (C) 1998 Christopher L. Marshall
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * My current email is christopherlmarshall@yahoo.com.  My home address is:
 * 10006 Leamoore Lane,
 * Vienna VA, 22181
 * 
 * It is my hope that this modest effort might assist others in producing Java
 * programs to implement a varied host of empire-like games.
 */

package GEMpire;

import java.awt.event.*;
import java.awt.*;

public class MapKeyAdapter extends KeyAdapter{
   Frame f;
   Map m;
   PieceMover pm;
   KeyReceiver kr=null;

   public void setPieceMover(PieceMover pm){this.pm= pm;}
   public PieceMover getPieceMover(){return pm;}

   public MapKeyAdapter(Map m, Frame f, PieceMover pm){
      super();
      this.m= m;
      this.pm= pm;
      this.f= f;
      f.addKeyListener(this);
   }
   public void setKeyReceiver(KeyReceiver kr){this.kr= kr;}

   public void removeFromFrame(){
      f.removeKeyListener(this);
   }

   public void keyPressed(KeyEvent e){
      String text= e.getKeyText(e.getKeyCode());
      Piece p= m.getActivePiece();

      if (p==null&&kr!=null){
         kr.receiveKeyText(text);
      }
      else {
         if (text.equals("Up")){
            pm.movePieceUp(p);
         }
         else if (text.equals("Down")){
            pm.movePieceDown(p);
         }
         else if (text.equals("Page Up")){
            pm.movePieceUpAndRight(p);
         }
         else if (text.equals("Page Down")){
            pm.movePieceDownAndRight(p);
         }
         else if (text.equals("Home")){
            pm.movePieceUpAndLeft(p);
         }
         else if (text.equals("End")){
            pm.movePieceDownAndLeft(p);
         }
         else {
            if (kr!=null) kr.receiveKeyText(text);
         }
      }
   }
}

