//FILE: Message.java 
 
/* GEMpire (Generic Empire for the Masses), a java package to support internet oriented  
 * empire-like strategy games and associated utilities. 
 * Copyright (C) 1998 Christopher L. Marshall 
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 *  
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 *  
 * My current email is christopherlmarshall@yahoo.com.  My home address is: 
 * 10006 Leamoore Lane, 
 * Vienna VA, 22181 
 *  
 * It is my hope that this modest effort might assist others in producing Java 
 * programs to implement a varied host of empire-like games. 
 */ 
package GEMpire;

// this class gathers together all of the strings used by the EmpireServer
// and EmpireClient classes to talk to each other.  This serves to document
// the protocol and also make changes to the protocol easier.  The current set
// of strings is very space inefficient and is designed to make it easy to debug
// message logs.  Rectifying that is a simple matter of replacing the strings
// here.

public class Message{
   // Server to Client message headers
   static public class S2C{
      static final String FULL_MAP           ="FullMap";
      static final String TURN_INFO          ="TurnInfoMessage";
      static final String PLAYER_MESSAGE     ="PlayerMessage";
      static final String CELL_UPDATE        ="CellUpdateMessage";
      static final String ACTIVATE_PIECE     ="ActivatePieceMessage";
      static final String PIECE_MOVE_REPLY   ="PieceMoveReply";
      static final String COMBAT_REPORT      ="CombatReportMessage";
      static final String LOGIN_REQUEST      ="LoginRequest";
      static final String LOGIN_SUCCEEDED    ="LoginOK";
      static final String LOGIN_FAILED       ="LoginBAD";
      static final String TURN_REVIEW        ="TurnReviewStart";
   }

   // Client2Server message headers
   static public class C2S{
      static final String GET_MAP                  ="GetMap";
      static final String PIECE_MOVE_REQUEST       ="PieceMoveRequest";
      static final String END_TURN                 ="EndTurn";
      static final String REVIEW_TURN              ="ReviewTurn";
      static final String PRODUCTION_CHANGE        ="ProductionChange";
      static final String BUILD_PIECE              ="BuildPiece";
      static final String LOGIN_REPLY              ="LoginReply";
      static final String SET_PASSWORD             ="SetPassword";
      // priviledged commands (for the referee's client)
      static final String SET_ATTACKER_ALWAYS_WINS = "SetAttackerAlwaysWins";
      static final String SET_DEFENDER_ALWAYS_WINS = "SetDefenderAlwaysWins";
      static final String SET_COMBAT_FAIR          = "setCombatFair";
      static final String SAVE_GAME                = "saveGame";
   }

   // String markers used within the above messages
   static public class Marker{
      static final String END_OF_MESSAGE="EndOfMessage";
      static final String TURN_REVIEW_END="TurnReviewEnd";
      static final String PIECE_MOVE_DENIED="Denied";
      static final String PIECE_MOVE_GRANTED="Granted";
   }

   static public class Canned{
      static final String PLEASE_LOGIN_FIRST     ="You must login first";
      static final String LOGIN_SUCCESSFUL       ="login accepted";
      static final String LOGIN_DENIED1          ="Server did not allow login as player ";
      static final String LOGIN_DENIED2          =".  Bad Password? Player already logged in?";
      static final String MALFORMED_LOGIN        ="Malformed login reply: could not read player number";
   }

}





















