//FILE: PieceBlinker.java

/* GEMpire (Generic Empire for the Masses), a java package to support internet oriented 
 * empire-like strategy games and associated utilities.
 * Copyright (C) 1998 Christopher L. Marshall
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * My current email is christopherlmarshall@yahoo.com.  My home address is:
 * 10006 Leamoore Lane,
 * Vienna VA, 22181
 * 
 * It is my hope that this modest effort might assist others in producing Java
 * programs to implement a varied host of empire-like games.
 */

package GEMpire;

public class PieceBlinker extends Thread{
   Map m;
   Piece p;
   int rc[]={0,0};
   boolean stopBlinking= false;
   int millisOn;
   int millisOff;

   int[] getRowAndColumn(){return rc;}
   public Piece getPiece(){return p;}
   public void setPiece(Piece p){this.p= p;}

   PieceBlinker(Map m, Piece p, int millisOn, int millisOff){
      super();
      this.m= m;
      this.p= p;
      this.millisOn= millisOn;
      this.millisOff= millisOff;
//System.out.println("blinker initialized");
   }

   public void stopBlinking(){
      stopBlinking= true;
   }

   boolean started= false;
   public boolean started(){return started;}

   public void run(){
      try {
//System.out.println("blinker started with piece: "+p.toString());
         started= true;
         while(!stopBlinking){
            rc= p.getRowAndColumn();
            m.drawPiece(p);
            sleep(millisOn);

            rc= p.getRowAndColumn();
            m.drawCellTerrain(rc[0],rc[1]);
            sleep(millisOff);
         }
         m.drawCell(rc[0],rc[1]);
      }
      catch (Exception e){
         System.out.println(e);
      }
      finally{
//         System.out.println("blinker exiting"); System.out.flush();
      }
   }
}
