//FILE: PiecePalette.java

/* GEMpire (Generic Empire for the Masses), a java package to support internet oriented 
 * empire-like strategy games and associated utilities.
 * Copyright (C) 1998 Christopher L. Marshall
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * My current email is christopherlmarshall@yahoo.com.  My home address is:
 * 10006 Leamoore Lane,
 * Vienna VA, 22181
 * 
 * It is my hope that this modest effort might assist others in producing Java
 * programs to implement a varied host of empire-like games.
 */

package GEMpire;

import java.awt.*;
import java.awt.event.*;

public class PiecePalette extends Frame{
   ImageArrayPanel iap;

   PiecePalette(
      ImageArrayPanelUser user1,
      ImageArrayPanelUser user2
   )
   {
      super("Piece Palette");

      // Build Piece Palette.
      int numRows= Piece.numPossiblePlayers();
      int numCols= Piece.numTypes();
      Image imA[][]= new Image[numRows][numCols];
      for (int r=0; r<numRows; r++){
         int c;
         for (c=0; c<numCols; c++){
            imA[r][c]= Piece.getImage(c,r);
         }
      }

      numCols= TerrainTypes.numTypes;
      Image imA3[][]= new Image[1][numCols]; 
      for (int c=0; c<numCols; c++){
         imA3[0][c]= MapHex.getTerrainImage(c); 
      }

      // Terrain Panel
      ImageArrayPanel iatp= new ImageArrayPanel(imA3,2,2,user1);
      iatp.setBackground(Color.lightGray);

      // Piece Panel
      ImageArrayPanel iapp= new ImageArrayPanel(imA,2,2,user2);
      iapp.setBackground(Color.lightGray);

      addWindowListener(new WindowAdapter(){
         public void windowClosing(WindowEvent event){
            setVisible(false);
         }
      });
      add(iapp,"South");
      add(iatp,"North");
      pack();
   }

   public static void main(String args[]){
      Globals.packageStaticInit(true);

      ImageArrayPanelUser user= new ImageArrayPanelUser(){
         public void rowAndColumnSelected(int row, int column){
            System.out.println("row= "+row+" column= "+column);
         }
      };

      PiecePalette pp= new PiecePalette(user,user);
      pp.show();
   }
}



