//FILE: SimpleSelectorDialog.java 
 
/* GEMpire (Generic Empire for the Masses), a java package to support internet oriented  
 * empire-like strategy games and associated utilities. 
 * Copyright (C) 1998 Christopher L. Marshall 
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 *  
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 *  
 * My current email is christopherlmarshall@yahoo.com.  My home address is: 
 * 10006 Leamoore Lane, 
 * Vienna VA, 22181 
 *  
 * It is my hope that this modest effort might assist others in producing Java 
 * programs to implement a varied host of empire-like games. 
 */ 
 
package GEMpire;

import java.awt.*;
import java.awt.event.*;
import java.io.*;

class SimpleSelectorDialog extends Dialog{
   Button ok= new Button("Ok");
   Button cancel= new Button("Cancel");
   Choice sChoice= new Choice();
   TextArea ta;

   int choiceValue;
   int curValue;

   public SimpleSelectorDialog(
      Frame  f, 
      String title,
      String names[], 
      String report, 
      int    reportRows, 
      int    reportCols, 
      int    curValue
   ){
      super(f,title,true);
      setLayout(new BorderLayout());
      ta= new TextArea(report,reportRows,reportCols,TextArea.SCROLLBARS_NONE);
      ta.setEditable(false);
      this.curValue= curValue;

      ok.addActionListener(new ActionListener(){
         public void actionPerformed(ActionEvent event){
            if (event.getSource() instanceof Button){
               setVisible(false);
               choiceValue= sChoice.getSelectedIndex();
            }
         }
      });

      cancel.addActionListener(new ActionListener(){
         public void actionPerformed(ActionEvent event){
            if (event.getSource() instanceof Button){
               setVisible(false);
               choiceValue= -1;
            }
         }
      });

      for (int i=0; i<names.length; i++){
         sChoice.add(names[i]);
      }
      sChoice.select(curValue);

      Panel p1= new Panel(new BorderLayout());
      Panel p2= new Panel(new BorderLayout());
      Panel p3= new Panel();

      p2.add(new Label("Set Production To"),"North");
      p2.add(sChoice);

      p3.add(ok);
      p3.add(cancel);
 
      p1.add(p2,"North");
      p1.add(p3,"South");

      add(ta,"North");
      add(p1,"South");
      
      setResizable(false);

      pack();

      setLocation(f.getLocation());
   }

   public int getSelectedIndex(){
      setVisible(true);
      setVisible(false);
      if (choiceValue==-1) return curValue;
      return choiceValue;
   }

   public static void main(String args[]) throws Exception{
      String names[]={
         "Infantry",
         "Armor",
         "Battleship"
      };
      String testReport=
         "Type\tTurns To Produce\n"+
         "Infantry\t6\n"+
         "Armor\t12\n"+
         "Fighter\t12\n"+
         "Bomber\t16\n"+
         ""+
         "";
      Frame f= new MainFrame("PieceProductionDialogTest");
      f.setSize(100,100);
      f.setVisible(true);
      f.setLocation(new Point(100,100));

      SimpleSelectorDialog ppd= new SimpleSelectorDialog(f,"PieceProductionDialog",names,testReport,10,25,2);
      System.out.println("SelectedIndex= "+ppd.getSelectedIndex());
   }
}
