//FILE: StringDialog.java

/* GEMpire (Generic Empire for the Masses), a java package to support internet oriented 
 * empire-like strategy games and associated utilities.
 * Copyright (C) 1998 Christopher L. Marshall
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * My current email is christopherlmarshall@yahoo.com.  My home address is:
 * 10006 Leamoore Lane,
 * Vienna VA, 22181
 * 
 * It is my hope that this modest effort might assist others in producing Java
 * programs to implement a varied host of empire-like games.
 */

package GEMpire;

import java.awt.*;
import java.awt.event.*;

public class StringArrayDialog extends Dialog{
   TextField tf[];
   Button ok= new Button("ok");
   
/*
   StringArrayDialog(
      Frame  f, 
      String title, 
      String fieldNames[], 
      String initialValues[],
      int    sizes[]
   ){
      super(f,title,true);
      setLayout(new BorderLayout());
      Panel p= new Panel(new GridLayout(fieldNames.length,2));
      tf= new TextField[fieldNames.length];
      for (int i=0; i<fieldNames.length; i++){
         tf[i]= new TextField(initialValues[i],sizes[i]);
         p.add(new Label(fieldNames[i]));
         p.add(tf[i]);
      }
      add("North",p);
      p= new Panel(new FlowLayout()); p.add(ok);
      add("South",p);
      pack();
      ok.addActionListener(new ActionListener(){
         public void actionPerformed(ActionEvent event){
            if (event.getSource() instanceof Button){
               setVisible(false);
            }
         }
      });
   }
*/
   StringArrayDialog(
      Frame  f, 
      String title, 
      String fieldNames[], 
      String initialValues[],
      int    sizes[]
   ){
      super(f,title,true);
      setLayout(new BorderLayout());
      Panel westPanel= new Panel(new GridLayout(fieldNames.length,1));
      Panel eastPanel= new Panel(new GridLayout(fieldNames.length,1));
      tf= new TextField[fieldNames.length];
      for (int i=0; i<fieldNames.length; i++){
         tf[i]= new TextField(initialValues[i],sizes[i]);
         westPanel.add(new Label(fieldNames[i]));
         eastPanel.add(tf[i]);
      }
      add("West",westPanel);
      add("East",eastPanel);
      Panel p= new Panel(new FlowLayout()); p.add(ok);
      add("South",p);
      pack();
      ok.addActionListener(new ActionListener(){
         public void actionPerformed(ActionEvent event){
            if (event.getSource() instanceof Button){
               setVisible(false);
            }
         }
      });
   }

   public void setVisible(boolean v){
      if (v){
         for (int i=0; i<tf.length; i++){
            tf[i].select(0,tf[i].getText().length());
         }
      }
      super.setVisible(v);
   }

   String[] getStrings(){
      String tmp[]= new String[tf.length];
      for (int i=0; i<tf.length; i++)
         tmp[i]= tf[i].getText();
      return tmp;
   }

   public static void main(String args[]){
      Frame f= new MainFrame("StringArrayDialog Test");
      f.pack();
      System.out.println("about to show frame");
      f.setVisible(true);

      int sizes[]={3,3,3};
      String fieldNames[]={"a","b","c"};
      String initialValues[]={"11","22","33"};
      StringArrayDialog sad= new StringArrayDialog(f,"test of dialog",fieldNames,initialValues,sizes);

      System.out.println("about to show dialog");
      sad.setVisible(true);
      String tmp[]= sad.getStrings();
      for (int i=0; i<tmp.length; i++) System.out.println(fieldNames[i]+"= "+tmp[i]);
   }
}








