//FILE: TerrainTypes.java

/* GEMpire (Generic Empire for the Masses), a java package to support internet oriented 
 * empire-like strategy games and associated utilities.
 * Copyright (C) 1998 Christopher L. Marshall
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * My current email is christopherlmarshall@yahoo.com.  My home address is:
 * 10006 Leamoore Lane,
 * Vienna VA, 22181
 * 
 * It is my hope that this modest effort might assist others in producing Java
 * programs to implement a varied host of empire-like games.
 */

package GEMpire;

public class TerrainTypes{
   public static final int numTypes= 8;
   public static final int SEA = 0;
   public static final int LAND= 1;
   public static final int UNEXPLORED= 2;
   public static final int MOUNTAIN= 3;
   public static final int FOREST= 4;
   public static final int ROUGH= 5;
   public static final int RIVER= 6;
   public static final int CHANNEL= 7;
   public static final String names[]={
      "sea",
      "land",
      "unexplored",
      "mountain",
      "forest",
      "rough",
      "river",
      "channel"
   };
   public static boolean isValid(int t){return (t>=0)&&(t<numTypes);}
   public static final String filenames[]={
      null,
      null,
      null,
      "images/mountain.gif",
      "images/forest.gif",
      "images/rough.gif",
      "images/river.gif",
      "images/channel.gif"
   };
}

